import CJS_COMPAT_NODE_URL_owuguwme69 from 'node:url';
import CJS_COMPAT_NODE_PATH_owuguwme69 from 'node:path';
import CJS_COMPAT_NODE_MODULE_owuguwme69 from "node:module";

var __filename = CJS_COMPAT_NODE_URL_owuguwme69.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_owuguwme69.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_owuguwme69.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  getAutomockCode
} from "../../../../_node-chunks/chunk-5NOA5UBF.js";
import {
  babelParser
} from "../../../../_node-chunks/chunk-36TJKBHC.js";
import "../../../../_node-chunks/chunk-XWQPK2II.js";
import {
  __name
} from "../../../../_node-chunks/chunk-3YJXPC6V.js";

// src/core-server/presets/webpack/loaders/webpack-automock-loader.ts
function webpackAutomockLoader(source) {
  const options = this.getOptions();
  const isSpy = options.spy === "true";
  const mocked = getAutomockCode(source, isSpy, babelParser);
  return mocked.toString();
}
__name(webpackAutomockLoader, "webpackAutomockLoader");
export {
  webpackAutomockLoader as default
};
